Retrieve detailed profile information for a WhatsApp contact.
curl --request POST \
--url https://api.example.com/chat/fetchProfile/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "5511999999999"
}'
{
"wid": "5511999999999@s.whatsapp.net",
"name": "John Doe",
"status": "Available",
"isBusiness": false,
"profilePictureUrl": "https://example.com/profile-john.jpg"
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/EvolutionAPI/evolution-api/llms.txt
Use this file to discover all available pages before exploring further.
apikey header.
curl --request POST \
--url https://api.example.com/chat/fetchProfile/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "5511999999999"
}'
{
"wid": "5511999999999@s.whatsapp.net",
"name": "John Doe",
"status": "Available",
"isBusiness": false,
"profilePictureUrl": "https://example.com/profile-john.jpg"
}
POST /chat/fetchProfilePictureUrl/:instanceName
{
"number": "5511999999999"
}
POST /chat/fetchBusinessProfile/:instanceName
{
"number": "5511888888888"
}
POST /chat/whatsappNumbers/:instanceName
{
"numbers": ["5511999999999", "5511888888888"]
}
curl --request POST \
--url https://api.example.com/chat/fetchProfile/my-instance \
--header 'apikey: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"number": "5511999999999"
}'
{
"wid": "5511999999999@s.whatsapp.net",
"name": "John Doe",
"status": "Available",
"isBusiness": false,
"profilePictureUrl": "https://example.com/profile-john.jpg"
}